## net.sf.saxon.pull
Class UnconstructedElement

    java.lang.Object
      net.sf.saxon.pull.UnconstructedParent
          net.sf.saxon.pull.UnconstructedElement

All Implemented Interfaces:
  javax.xml.transform.Source, PullEvent, Item, NodeInfo, ValueRepresentation

    public class UnconstructedElement

extends UnconstructedParent

An element node whose construction is deferred.

Field Summary

Fields inherited from class net.sf.saxon.pull.UnconstructedParent
`instruction, node, savedXPathContext`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`UnconstructedElement(ElementCreator instruction, XPathContext context)` Create an unconstructed (pending) element node

Method Summary
`java.lang.String` `getBaseURI()` Get the Base URI for the node, that is, the URI used for resolving a relative URI contained in the node.
`int` `getNameCode()` Get name code.
`int` `getNodeKind()` Get the kind of node.
`void` `setNameCode(int nameCode)` Set the name of the element node

Methods inherited from class net.sf.saxon.pull.UnconstructedParent

`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getInstruction, getLineNumber, getLocalPart, getNamePool, getParent, getPrefix, getPuller, getRoot, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, getURI, getXPathContext, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis, setSystemId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnconstructedElement

    public UnconstructedElement(ElementCreator instruction,
                                XPathContext context)

  Create an unconstructed (pending) element node

  Parameters:
    `instruction` - the instruction responsible for creating the node
    `context` - the XPath dynamic context

Method Detail

### setNameCode

    public void setNameCode(int nameCode)

  Set the name of the element node

  Parameters:
    `nameCode` - the namepool code for the element name

### getNameCode

    public int getNameCode()

  Get name code. The name code is a coded form of the node name: two nodes with the same name code have the same namespace URI, the same local name, and the same prefix. By masking the name code with &0xfffff, you get a fingerprint: two nodes with the same fingerprint have the same local name and namespace URI.

  Returns:
    an integer name code, which may be used to obtain the actual node name from the name pool
  See Also:
    `allocate`, `getFingerprint`

### getNodeKind

    public int getNodeKind()

  Description copied from interface: `NodeInfo`
  Get the kind of node. This will be a value such as `Type.ELEMENT` or `Type.ATTRIBUTE`. There are seven kinds of node: documents, elements, attributes, text, comments, processing-instructions, and namespaces.

  Returns:
    an integer identifying the kind of node. These integer values are the same as those used in the DOM
  See Also:
    `Type`

### getBaseURI

    public java.lang.String getBaseURI()

  Get the Base URI for the node, that is, the URI used for resolving a relative URI contained in the node. This will be the same as the System ID unless xml:base has been used.

  Specified by:
    `getBaseURI` in interface `NodeInfo`
  Overrides:
    `getBaseURI` in class `UnconstructedParent`
  Returns:
    the base URI of the node

Copyright (c) Saxonica Limited. All rights reserved.